// node native scope
import * as path from 'path';
import * as stream from 'stream';

export { path, stream };

// @pushrocks scope
import * as smartfile from '@push.rocks/smartfile';
import * as smartpath from '@push.rocks/smartpath';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartrequest from '@push.rocks/smartrequest';
import * as smartunique from '@push.rocks/smartunique';
import * as smartstream from '@push.rocks/smartstream';
import * as smartrx from '@push.rocks/smartrx';
import * as smarturl from '@push.rocks/smarturl';

export { smartfile, smartpath, smartpromise, smartrequest, smartunique, smartstream, smartrx, smarturl };

// third party scope
import * as fileType from 'file-type';
import * as fflate from 'fflate';
import tarStream from 'tar-stream';

export { fileType, fflate, tarStream };
